/************************************************************************
 *   IRC - Internet Relay Chat, doc/example_module.c
 *   Copyright (C) 2001 Hybrid Development Team
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 1, or (at your option)
 *   any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 *   $Id: m_idle.c,v 1.1 2007-06-24 21:03:23 jailbird Exp $
 */

#include "stdinc.h"
#include "modules.h"
#include "hook.h"
#include "client.h"
#include "ircd.h"
#include "send.h"

static int mo_idle(struct Client *client_p, struct Client *source_p, int parc, const char *parv[]);

struct Message idle_msgtab = {
	"IDLE", 0, 0, 0, MFLG_SLOW,
	{ mg_ignore, mg_not_oper, mg_ignore, mg_ignore, mg_ignore, {mo_idle, 2}, mg_ignore }
};

mapi_clist_av1 idle_clist[] = { &idle_msgtab, NULL };

DECLARE_MODULE_AV1(idle, NULL, NULL, idle_clist, NULL, NULL, "$Revision: 1.1 $");

/*
 * mo_idle
 *      parv[0] = sender prefix
 *      parv[1] = idle time
 */

static int
mo_idle(struct Client *client_p, struct Client *source_p, int parc, const char *parv[])
{
	time_t last;

	if (!MyClient(source_p))
		return 0;

	last = atol(parv[1]);
	if ((last>0) && ((CurrentTime - last) < source_p->localClient->last))
		source_p->localClient->last = CurrentTime - last;
	return 0;
}

